> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounting invoices

> Returns a list of invoices that exist in the entity's accounting system. This requires that an accounting connection has been previously established. Refer to the [Accounting integration guide](https://docs.monite.com/accounting/integration/index) for details.

This endpoint only provides read-only access to the accounting system's data but does not pull those invoices into Monite. You can use it to review the data in the accounting system and find out which of those invoices already exist or do not exist in Monite.

Data is actual as of the date and time of the last accounting synchronization, which is specified by the `last_pull` value in the response from `GET /accounting-connections/{connection_id}`. To make sure you are accessing the most up-to-date accounting data, you can use `POST /accounting-connections/{connection_id}/sync` to trigger on-demand synchronization before getting the invoice list.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/accounting/receivables
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2026-09-24'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterpart VAT IDs
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Departments
  - name: Disclosures
  - name: Documents
  - name: Events
  - name: Files
  - name: Ledger accounts
  - name: Locations
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: OIDC applications
  - name: Organizations
  - name: Overdue reminders
  - name: Payable duplicates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: PDF templates
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Roles
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: Users
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/accounting/receivables:
    get:
      tags:
        - Accounting data pull
      summary: List accounting invoices
      description: >-
        Returns a list of invoices that exist in the entity's accounting system.
        This requires that an accounting connection has been previously
        established. Refer to the [Accounting integration
        guide](https://docs.monite.com/accounting/integration/index) for
        details.


        This endpoint only provides read-only access to the accounting system's
        data but does not pull those invoices into Monite. You can use it to
        review the data in the accounting system and find out which of those
        invoices already exist or do not exist in Monite.


        Data is actual as of the date and time of the last accounting
        synchronization, which is specified by the `last_pull` value in the
        response from `GET /accounting-connections/{connection_id}`. To make
        sure you are accessing the most up-to-date accounting data, you can use
        `POST /accounting-connections/{connection_id}/sync` to trigger on-demand
        synchronization before getting the invoice list.
      operationId: get_accounting_receivables
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2026-09-24'
          name: x-finops-version
          in: header
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
          description: Number of results per page.
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
          description: Number of results to skip before selecting items to return.
        - name: x-organization-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          description: The ID of the entity that owns the requested resource.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingReceivableList'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AccountingReceivableList:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AccountingReceivable'
          type: array
      type: object
      required:
        - data
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AccountingReceivable:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: An internal identifier of the invoice in the accounting system.
        currency:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO-4217 currency code of the invoice.
          examples:
            - USD
        currency_rate:
          anyOf:
            - type: number
            - type: 'null'
          description: >-
            Rate to convert the total amount of the transaction into the
            entity's base currency at the time of the transaction.
        customer_ref:
          anyOf:
            - $ref: '#/components/schemas/AccountingCustomerRefObject'
            - type: 'null'
          description: Information about the customer that the invoice was sent to.
        due_date:
          anyOf:
            - type: string
              format: date-time
            - type: string
              format: date
            - type: 'null'
          description: Invoice due date.
        invoice_number:
          anyOf:
            - type: string
            - type: 'null'
          description: Invoice document number.
        lines:
          anyOf:
            - items:
                $ref: '#/components/schemas/AccountingLineItem'
              type: array
            - type: 'null'
        memo:
          anyOf:
            - type: string
            - type: 'null'
          description: Any additional information or business notes about the invoice.
        pass_through:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: >-
            An object containing additional invoice data returned by the
            accounting system. This sometimes includes custom invoice fields.
        posted_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          description: >-
            Date when the invoice was added to the accounting service. This may
            differ from the invoice creation date.
      type: object
      description: Invoice details retrieved from an accounting system.
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    AccountingCustomerRefObject:
      properties:
        id:
          type: string
          description: A unique identifier of the customer in the accounting system.
          examples:
            - '120'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Customer name in the accounting system.
          examples:
            - Acme Inc.
      type: object
      required:
        - id
    AccountingLineItem:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: The name or description of the product or service being invoiced.
          examples:
            - Logo design
        discount_amount:
          anyOf:
            - type: number
            - type: 'null'
          description: Discount amount for this line item (if any).
        discount_percentage:
          anyOf:
            - type: number
            - type: 'null'
          description: Discount percentage for this line item (if any).
        ledger_account_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            ID of the ledger account associated with this line item. You can use
            `GET /ledger_accounts/{ledger_account_id}` to get further details
            about this ledger account.
        quantity:
          anyOf:
            - type: number
            - type: 'null'
          description: The quantity of the product or service.
        tax_rate_ref:
          anyOf:
            - $ref: '#/components/schemas/AccountingRefObject'
            - type: 'null'
          description: >-
            An internal reference to the tax rate in the accounting system that
            the line item is linked to.
        unit_amount:
          anyOf:
            - type: number
            - type: 'null'
          description: The cost per unit of the product or service.
      type: object
      description: >-
        Contains the details of an invoice line item retrieved from an
        accounting system.
    AccountingRefObject:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: An internal ID of the tax rate in the accounting system.
      type: object
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````